org.apache.uima.fit.factory

## Class CasFactory

- java.lang.Object
- - org.apache.uima.fit.factory.CasFactory

-     public final class CasFactory
      extends Object

  Convenience methods to create `CAS` objects.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CAS` | `createCas()` Creates a new `CAS`.
    `static CAS` | `createCas(String... typeSystemDescriptorNames)` Creates a new `CAS` from type system descriptor files found by name.
    `static CAS` | `createCas(String fileName, TypeSystemDescription typeSystemDescription)` This method creates a new CAS and loads the contents of an XMI or XCAS file into it.
    `static CAS` | `createCas(TypeSystemDescription typeSystemDescription)` Create a new CAS for the given type system description.
    `static CAS` | `createCasFromPath(String... typeSystemDescriptorPaths)` Creates a new CAS from type system descriptor files.
    `static CAS` | `createText(String aText)` Creates a new CAS with the given text.
    `static CAS` | `createText(String aText, String aLanguage)` Creates a new CAS with the given text and language.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### createText

          public static CAS createText(String aText)
                                throws ResourceInitializationException

      Creates a new CAS with the given text. The type system is detected automatically using `TypeSystemDescriptionFactory.createTypeSystemDescription()`. Type priorities are detected automatically using `TypePrioritiesFactory.createTypePriorities()`. Indexes are detected automatically using `FsIndexFactory.createFsIndexCollection()`.
      Parameters:
        `aText` - the document text to be set in the new CAS.
      Returns:
        a new CAS
      Throws:
        `ResourceInitializationException` - if the CAS could not be initialized

    - #### createText

          public static CAS createText(String aText,
                                       String aLanguage)
                                throws ResourceInitializationException

      Creates a new CAS with the given text and language. The type system is detected automatically using `TypeSystemDescriptionFactory.createTypeSystemDescription()`. Type priorities are detected automatically using `TypePrioritiesFactory.createTypePriorities()`. Indexes are detected automatically using `FsIndexFactory.createFsIndexCollection()`.
      Parameters:
        `aText` - the document text to be set in the new CAS.
        `aLanguage` - the document language to be set in the new CAS.
      Returns:
        a new CAS
      Throws:
        `ResourceInitializationException` - if the CAS could not be initialized

    - #### createCas

          public static CAS createCas()
                               throws ResourceInitializationException

      Creates a new `CAS`. The type system is detected automatically using `TypeSystemDescriptionFactory.createTypeSystemDescription()`. Type priorities are detected automatically using `TypePrioritiesFactory.createTypePriorities()`. Indexes are detected automatically using `FsIndexFactory.createFsIndexCollection()`.
      Returns:
        a new CAS
      Throws:
        `ResourceInitializationException` - if the CAS could not be initialized

    - #### createCas

          public static CAS createCas(String... typeSystemDescriptorNames)
                               throws ResourceInitializationException

      Creates a new `CAS` from type system descriptor files found by name. No auto-detection for type priorities, or indexes is performed.
      Parameters:
        `typeSystemDescriptorNames` - names of the type system descriptors on the classpath used to initialize the CAS (in Java notation, e.g. "my.package.TypeSystem" without the ".xml" extension)
      Returns:
        a new CAS
      Throws:
        `ResourceInitializationException` - if the CAS could not be initialized

    - #### createCasFromPath

          public static CAS createCasFromPath(String... typeSystemDescriptorPaths)
                                       throws ResourceInitializationException

      Creates a new CAS from type system descriptor files. No auto-detection for type priorities, or indexes is performed.
      Parameters:
        `typeSystemDescriptorPaths` - paths to type system descriptor files
      Returns:
        a new CAS
      Throws:
        `ResourceInitializationException` - if the CAS could not be initialized

    - #### createCas

          public static CAS createCas(TypeSystemDescription typeSystemDescription)
                               throws ResourceInitializationException

      Create a new CAS for the given type system description. No auto-detection type priorities, or indexes is performed.
      Parameters:
        `typeSystemDescription` - a type system description to initialize the CAS
      Returns:
        a new CAS
      Throws:
        `ResourceInitializationException` - if the CAS could not be initialized

    - #### createCas

          public static CAS createCas(String fileName,
                                      TypeSystemDescription typeSystemDescription)
                               throws ResourceInitializationException,
                                      IOException

      This method creates a new CAS and loads the contents of an XMI or XCAS file into it.
      Parameters:
        `fileName` - a file name for the serialized CAS data
        `typeSystemDescription` - a type system description to initialize the CAS
      Returns:
        a new CAS
      Throws:
        `ResourceInitializationException` - if the CAS could not be initialized
        `IOException` - if there is a problem reading the file

Copyright © 2012–2021 The Apache Software Foundation. All rights reserved.